Your API key. Create one in Ocoya. Authorization: Bearer <key> works too.
Get SEO post
Returns one SEO post with its Markdown body, SEO fields, thumbnail, channels, publish results and SEO score.
Get SEO post
curl --request GET \
--url https://www.app.ocoya.com/api/_public/v1/seo/{postId} \
--header 'X-API-Key: <api-key>'{
"id": "cmajvvb9q0003ja5vh0538j6r",
"brandId": "cmayvq3hk00017apshay5qezu",
"type": "<string>",
"status": "DRAFT",
"scheduledAt": "2024-01-01T00:00:00Z",
"createdAt": "2024-01-01T00:00:00Z",
"updatedAt": "2024-01-01T00:00:00Z",
"campaignId": "<string>",
"title": "How to plan a content calendar in one afternoon",
"slug": "how-to-plan-a-content-calendar-in-one-afternoon",
"excerpt": "<string>",
"seoTitle": "<string>",
"metaDescription": "<string>",
"keyword": "<string>",
"tags": [
"<string>"
],
"readingMinutes": 6,
"thumbnail": {
"url": "<string>",
"width": 123,
"height": 123
},
"channels": [
{
"id": "clh49poxf008x8kov4ncbjty9",
"provider": "wordpress",
"name": "Company blog"
}
],
"cms": {
"webflow": {
"status": "draft"
},
"framer": {
"status": "draft"
},
"wix": {
"status": "draft"
}
},
"body": "<string>",
"publishResults": [
{
"channelId": "<string>",
"publishedAt": "<string>",
"error": "<string>",
"responseIds": [
"<string>"
],
"url": "<string>"
}
],
"seoScore": {
"score": 74,
"label": "Strong",
"focusKeyword": "content calendar",
"checklist": [
{
"id": "seo_keyword_title",
"label": "<string>",
"category": "<string>",
"score": 123,
"maxScore": 123,
"passed": true,
"suggestion": "<string>"
}
]
}
}Authorizations
Response
application/json
Success
Was this page helpful?